%define base_name	xt
%define name		%{base_name}-dash
%define version		19991105
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java XSL Transformations implementation
License:	BSD style
Group:		Development/Java
Source:		%{base_name}.zip
Source1:	%{name}.build.script.bz2
Patch:		%{name}.source.patch.bz2
Url:		http://www.jclark.com/xml/xt.html
Requires:	oldjaxp
Requires:	servlet
BuildRequires:	ant
BuildRequires:	servlet
BuildRequires:	oldjaxp
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
XT is an implementation in Java of XSL Transformations. This version of
XT implements the PR-xslt-19991008 version of XSLT. Stylesheets written
for earlier versions of the XSLT WD must be converted before they can be
used with this version of XT.
This is slightly modified version of XT, suited for omquery needs.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
bzcat %{SOURCE1} > build.xml
%patch
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/servlet.jar:\
%{javadir}/oldjaxp-parser.jar
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc copying.txt xt.htm
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Wed Apr 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 19991105-1jpp 
- first JPackage release
